summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/allison/allison-2.0.3-r4.ebuild2
-rw-r--r--dev-ruby/axiom-types/axiom-types-0.1.1-r1.ebuild29
-rw-r--r--dev-ruby/coercible/coercible-1.0.0.ebuild24
-rw-r--r--dev-ruby/descendants_tracker/descendants_tracker-0.0.4.ebuild30
-rw-r--r--dev-ruby/equalizer/equalizer-0.0.11.ebuild27
-rw-r--r--dev-ruby/file-tail/file-tail-1.2.0.ebuild38
-rw-r--r--dev-ruby/http_parser_rb/http_parser_rb-0.6.0-r2.ebuild2
-rw-r--r--dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild2
-rw-r--r--dev-ruby/ntlm-http/ntlm-http-0.1.1-r3.ebuild34
-rw-r--r--dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild22
-rw-r--r--dev-ruby/prawn-table/prawn-table-0.2.2-r2.ebuild30
-rw-r--r--dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r3.ebuild36
-rw-r--r--dev-ruby/selenium-webdriver/Manifest3
-rw-r--r--dev-ruby/selenium-webdriver/selenium-webdriver-4.0.2.ebuild36
-rw-r--r--dev-ruby/selenium-webdriver/selenium-webdriver-4.1.0.ebuild (renamed from dev-ruby/selenium-webdriver/selenium-webdriver-4.0.0.ebuild)0
-rw-r--r--dev-ruby/settingslogic/settingslogic-2.0.9-r1.ebuild24
-rw-r--r--dev-ruby/sourcemap/sourcemap-0.1.1-r1.ebuild22
-rw-r--r--dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild35
-rw-r--r--dev-ruby/sprockets-rails/Manifest1
-rw-r--r--dev-ruby/sprockets-rails/sprockets-rails-3.4.1.ebuild36
-rw-r--r--dev-ruby/state_machine/state_machine-1.2.0-r1.ebuild28
-rw-r--r--dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild40
-rw-r--r--dev-ruby/thread_safe/thread_safe-0.3.6-r1.ebuild2
-rw-r--r--dev-ruby/webrick/webrick-1.7.0.ebuild2
-rw-r--r--dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild2
25 files changed, 344 insertions, 163 deletions
diff --git a/dev-ruby/allison/allison-2.0.3-r4.ebuild b/dev-ruby/allison/allison-2.0.3-r4.ebuild
index 0ce94df3be22..c229db629e6a 100644
--- a/dev-ruby/allison/allison-2.0.3-r4.ebuild
+++ b/dev-ruby/allison/allison-2.0.3-r4.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="https://fauna.github.com/fauna/allison/files/README.html"
LICENSE="AFL-3.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~hppa ~mips ppc ppc64 ~s390 ~sparc x86 ~x86-solaris"
IUSE=""
all_ruby_install() {
diff --git a/dev-ruby/axiom-types/axiom-types-0.1.1-r1.ebuild b/dev-ruby/axiom-types/axiom-types-0.1.1-r1.ebuild
new file mode 100644
index 000000000000..d2a557a913ef
--- /dev/null
+++ b/dev-ruby/axiom-types/axiom-types-0.1.1-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTING.md README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Define types with optional constraints for use within axiom and other libraries"
+HOMEPAGE="https://rubygems.org/gems/axiom-types https://github.com/dkubb/axiom-types"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/descendants_tracker-0.0.4
+ <dev-ruby/descendants_tracker-0.1
+ >=dev-ruby/ice_nine-0.11.0
+ <dev-ruby/ice_nine-0.12
+ >=dev-ruby/thread_safe-0.3.1
+ <dev-ruby/thread_safe-1"
+
+RESTRICT="test"
diff --git a/dev-ruby/coercible/coercible-1.0.0.ebuild b/dev-ruby/coercible/coercible-1.0.0.ebuild
deleted file mode 100644
index b949ea65cd9a..000000000000
--- a/dev-ruby/coercible/coercible-1.0.0.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_EXTRADOC="README.md Changelog.md"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec"
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Powerful, flexible and configurable coercion library"
-HOMEPAGE="https://github.com/solnic/coercible https://rubygems.org/gems/coercible"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_rdepend ">=dev-ruby/descendants_tracker-0.0.1
- <dev-ruby/descendants_tracker-0.1"
diff --git a/dev-ruby/descendants_tracker/descendants_tracker-0.0.4.ebuild b/dev-ruby/descendants_tracker/descendants_tracker-0.0.4.ebuild
deleted file mode 100644
index 493825f3e883..000000000000
--- a/dev-ruby/descendants_tracker/descendants_tracker-0.0.4.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec"
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Module that adds descendant tracking to a class"
-HOMEPAGE="https://github.com/dkubb/descendants_tracker"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-ruby_add_rdepend "dev-ruby/thread_safe"
-
-all_ruby_prepare() {
- # Remove dependency on devtools
- sed -i -e '/devtools\/spec_helper/d' spec/spec_helper.rb || die
- sed -i -e '/it_should_behave_like/d' \
- spec/unit/descendants_tracker/add_descendant_spec.rb || die
- sed -i -e '/it_should_behave_like/d' \
- spec/unit/descendants_tracker/descendants_spec.rb || die
-}
diff --git a/dev-ruby/equalizer/equalizer-0.0.11.ebuild b/dev-ruby/equalizer/equalizer-0.0.11.ebuild
deleted file mode 100644
index d0828feeba2c..000000000000
--- a/dev-ruby/equalizer/equalizer-0.0.11.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_EXTRADOC="CONTRIBUTING.md README.md"
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Module to define equality, equivalence and inspection methods"
-HOMEPAGE="https://github.com/dkubb/equalizer"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -e "/devtools/d" spec/spec_helper.rb || die
-
- # Avoid a failing spec caused by memoizable 0.4.2, and we ignore it
- # there as well.
- rm spec/unit/equalizer/included_spec.rb || die
-}
diff --git a/dev-ruby/file-tail/file-tail-1.2.0.ebuild b/dev-ruby/file-tail/file-tail-1.2.0.ebuild
deleted file mode 100644
index 4d1d4ec10c74..000000000000
--- a/dev-ruby/file-tail/file-tail-1.2.0.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-USE_RUBY="ruby24 ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_TEST="none"
-
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-RUBY_FAKEGEM_DOC_SOURCES="lib README.md"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A small ruby library that allows it to 'tail' files in Ruby"
-HOMEPAGE="https://flori.github.com/file-tail"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-ruby_add_rdepend "=dev-ruby/tins-1*"
-ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
-
-all_ruby_prepare() {
- sed -i -e '/test_tail_change2/aomit "has race condition"' tests/file_tail_test.rb || die
-}
-
-each_ruby_test() {
- ruby-ng_testrb-2 -Ilib tests/*_test.rb
-
- rm -f test.*
-}
diff --git a/dev-ruby/http_parser_rb/http_parser_rb-0.6.0-r2.ebuild b/dev-ruby/http_parser_rb/http_parser_rb-0.6.0-r2.ebuild
index ee71995c5020..26c7f9681990 100644
--- a/dev-ruby/http_parser_rb/http_parser_rb-0.6.0-r2.ebuild
+++ b/dev-ruby/http_parser_rb/http_parser_rb-0.6.0-r2.ebuild
@@ -20,5 +20,5 @@ HOMEPAGE="https://github.com/tmm1/http_parser.rb"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc x86"
IUSE=""
diff --git a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild
index 52b2b62e979e..9d665f7d9387 100644
--- a/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild
+++ b/dev-ruby/net-http-digest_auth/net-http-digest_auth-1.4.1-r1.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://github.com/drbrain/net-http-digest_auth"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+KEYWORDS="amd64 ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/minitest )"
diff --git a/dev-ruby/ntlm-http/ntlm-http-0.1.1-r3.ebuild b/dev-ruby/ntlm-http/ntlm-http-0.1.1-r3.ebuild
new file mode 100644
index 000000000000..960bd91a5093
--- /dev/null
+++ b/dev-ruby/ntlm-http/ntlm-http-0.1.1-r3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_DOC_SOURCES="lib README"
+RUBY_FAKEGEM_EXTRADOC="README"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby/NTLM HTTP provides NTLM authentication over http"
+HOMEPAGE="http://www.mindflowsolutions.net/"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
+
+all_ruby_prepare() {
+ find . -name '*.rb' -exec sed -i -e 's:\r$::' {} +
+
+ # We can't use RUBY_PATCHES for this because we need first to convert the files
+ eapply "${FILESDIR}"/${P}+ruby-1.9.patch
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 test/*_test.rb
+}
diff --git a/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild b/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild
new file mode 100644
index 000000000000..400788a26f40
--- /dev/null
+++ b/dev-ruby/pdf-inspector/pdf-inspector-1.3.0-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A tool for analyzing PDF output"
+HOMEPAGE="https://github.com/prawnpdf/pdf-inspector"
+
+LICENSE="|| ( Ruby GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/pdf-reader-1.0:* <dev-ruby/pdf-reader-3:*"
diff --git a/dev-ruby/prawn-table/prawn-table-0.2.2-r2.ebuild b/dev-ruby/prawn-table/prawn-table-0.2.2-r2.ebuild
new file mode 100644
index 000000000000..9010ec92c233
--- /dev/null
+++ b/dev-ruby/prawn-table/prawn-table-0.2.2-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides support for tables in Prawn"
+HOMEPAGE="http://prawn.majesticseacreature.com/"
+LICENSE="|| ( GPL-2+ Ruby )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/mocha
+ >=dev-ruby/pdf-inspector-1.1.0
+ >=dev-ruby/pdf-reader-1.2
+ >=dev-ruby/prawn-1.3.0
+ )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/s/^/#/" spec/spec_helper.rb || die
+ # Remove failing test
+ # See https://github.com/prawnpdf/prawn-table/issues/10
+ sed -i -e "/Prints table on one page when using subtable with colspan > 1/,+24 s/^/#/" spec/table_spec.rb || die
+}
diff --git a/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r3.ebuild b/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r3.ebuild
new file mode 100644
index 000000000000..e6cbc268f585
--- /dev/null
+++ b/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby library for performing Yadis service discovery"
+HOMEPAGE="http://yadis.rubyforge.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+each_ruby_prepare() {
+ # Remove live tests that require content that is no longer available.
+ rm test/test_discovery.rb || die
+ sed -i -e '/test_discovery/d' test/runtests.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I../lib:lib:test -Ctest runtests.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r examples
+}
diff --git a/dev-ruby/selenium-webdriver/Manifest b/dev-ruby/selenium-webdriver/Manifest
index 650e0b6eb536..f3e39888e196 100644
--- a/dev-ruby/selenium-webdriver/Manifest
+++ b/dev-ruby/selenium-webdriver/Manifest
@@ -1,4 +1,3 @@
DIST selenium-webdriver-3.142.7.gem 865280 BLAKE2B 650011848afaa3ea4fab7c8172828c7562df212383a8fbea9615a5136e3382aba0fcf17952d941c7b514e5229c0aafe3dbc320386698eb8756f567eff67722bd SHA512 0e7891c19b8a0b20441d85bc17032ecf03cba7ca435846e03abc50b62b0c53c075dc70456796c9bfcd1ecd28ecc517f907a3d6868346a07617fd1d0c1b9437c0
-DIST selenium-webdriver-4.0.0.gem 152576 BLAKE2B 8a1394fb1c9cc3603081454c4946f0ad5207d113bb37c488207baaaaaff69f2848b2b5bc9b9221177d01c86b635dd222933be3561eacfa164539c99c8cf149a6 SHA512 db8fd0a05fc38e7f55c2b9a779462416b937d3b8e732dee6b7bcf2b3f8914417a79e8649e320e348359ab133cef20a75e2033385e8b125e5dfc52645b086045b
-DIST selenium-webdriver-4.0.2.gem 152576 BLAKE2B ed4f33235f5ddbba6093d6c4c98ed2c5f95766b772fb302339101466a7d1b6af5dd322579c20b3b5c61c3fbb4b2d1d572612909e1b342a588fe8abbeaab2dcfb SHA512 e0efd6a051bef551943e3b43810930362013c3fc973415929a28152311a8b92dd241e49e0d3b3a839ed2b3197481f6d70b118bf2e4345f02853d8a6bb1214cea
DIST selenium-webdriver-4.0.3.gem 152576 BLAKE2B 671909863bbbe328bbaf30a9e3c9e459e9eb6b892f554729892327230c03dd03f7819d9e8beb901cea986cb0d97877ce49853de856e1f802369686a03e5e9086 SHA512 260ad111ef9c512835f410fc7283df90b245d42db12274028148575e0a89a8c71639f0132a621f326921317b3181564521d9e801f2a7f14e5f196cde2550773c
+DIST selenium-webdriver-4.1.0.gem 153088 BLAKE2B f437b5e6c19b9a2b7d0393646b11bcaa0808fb9981c847ca0d86bd55ef04fc109d439eb0f41fce543ea121fde096fe3e72c56d1db861b6554f673a3de07bdff8 SHA512 9760c6a96dbef25f558216986a9cedcb00fe19313273ea5c3a4866d5afae327fbe3895e3e2ee405714f8a9410c290b0e51352b68465cb0df9ff31b6d2749b174
diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-4.0.2.ebuild b/dev-ruby/selenium-webdriver/selenium-webdriver-4.0.2.ebuild
deleted file mode 100644
index 48a9afa6621d..000000000000
--- a/dev-ruby/selenium-webdriver/selenium-webdriver-4.0.2.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby26 ruby27 ruby30"
-
-# NOTE: this package contains precompiled code. It appears that all
-# source code can be found at https://code.google.com/p/selenium/ but the
-# repository is not organized in a way so that we can easily rebuild the
-# suited shared object. We'll just try our luck with the precompiled
-# objects for now.
-
-RUBY_FAKEGEM_RECIPE_DOC="none"
-RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
-
-RUBY_FAKEGEM_TASK_TEST=""
-
-RUBY_FAKEGEM_GEMSPEC="selenium-webdriver.gemspec"
-
-RUBY_QA_ALLOWED_LIBS="x_ignore_nofocus.so"
-QA_PREBUILT="*/x_ignore_nofocus.so"
-
-inherit ruby-fakegem
-
-DESCRIPTION="This gem provides Ruby bindings for WebDriver"
-HOMEPAGE="https://github.com/seleniumhq/selenium"
-
-LICENSE="Apache-2.0"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-ruby_add_rdepend ">=dev-ruby/childprocess-0.5:2
- >=dev-ruby/rexml-3.2.5:3
- >=dev-ruby/rubyzip-1.2.2:*"
diff --git a/dev-ruby/selenium-webdriver/selenium-webdriver-4.0.0.ebuild b/dev-ruby/selenium-webdriver/selenium-webdriver-4.1.0.ebuild
index 48a9afa6621d..48a9afa6621d 100644
--- a/dev-ruby/selenium-webdriver/selenium-webdriver-4.0.0.ebuild
+++ b/dev-ruby/selenium-webdriver/selenium-webdriver-4.1.0.ebuild
diff --git a/dev-ruby/settingslogic/settingslogic-2.0.9-r1.ebuild b/dev-ruby/settingslogic/settingslogic-2.0.9-r1.ebuild
new file mode 100644
index 000000000000..87a72d7dacf6
--- /dev/null
+++ b/dev-ruby/settingslogic/settingslogic-2.0.9-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple configuration / settings solution that uses an ERB enabled YAML file"
+HOMEPAGE="https://github.com/binarylogic/settingslogic"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/check_dependencies/d' Rakefile || die
+}
diff --git a/dev-ruby/sourcemap/sourcemap-0.1.1-r1.ebuild b/dev-ruby/sourcemap/sourcemap-0.1.1-r1.ebuild
new file mode 100644
index 000000000000..02cf81a4ca39
--- /dev/null
+++ b/dev-ruby/sourcemap/sourcemap-0.1.1-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby source maps"
+HOMEPAGE="https://github.com/maccman/sourcemap"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile || die
+}
diff --git a/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild b/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild
new file mode 100644
index 000000000000..954a3e3e6b0e
--- /dev/null
+++ b/dev-ruby/sparklines/sparklines-0.5.2-r7.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Create sparklines, small graphs to be used inline in texts"
+HOMEPAGE="http://sparklines.rubyforge.org/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND+="test? ( media-gfx/imagemagick[png] )"
+
+ruby_add_rdepend "dev-ruby/rmagick:*"
+
+ruby_add_bdepend "test? ( dev-ruby/tidy_table dev-ruby/dust )"
+
+all_ruby_prepare() {
+ # Don't use deprecated rmagick require for compatibility with newer
+ # versions.
+ sed -i -e '/require/ s/RMagick/rmagick/' lib/sparklines.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -I. test/test_all.rb || die
+}
diff --git a/dev-ruby/sprockets-rails/Manifest b/dev-ruby/sprockets-rails/Manifest
index 27f26b9f1753..3827103914ce 100644
--- a/dev-ruby/sprockets-rails/Manifest
+++ b/dev-ruby/sprockets-rails/Manifest
@@ -1,3 +1,4 @@
DIST sprockets-rails-3.2.2.tar.gz 109408 BLAKE2B ce589e18daa4f664ed56d909a0eff082a69d756ca57e6e7569723b5da0b1dcfbe02f4a00e42b3d9d34b1cac37b663830ede046715c04c8bbfd48be7407e13431 SHA512 048f48930325316ac28d721a2c33ba60767dfec9456b0705e90363a1c81c8876ec6f99d65ce533d5a0704e1f67a33fcac5cd675aec5cc3c3f1cd896d518865a9
DIST sprockets-rails-3.3.0.tar.gz 109701 BLAKE2B ba614e3110c355370fa39ac0ecf4120f86095e34d70dee470320f700c21d65159adc2f6837ad2307f38fcd5a9d753820d5ee537bd7e592514f24f8e02e5fc3e6 SHA512 f6bc9920f19ac76e383a36ed550f06b16a4de628a8df15c6e70f005fe60c0050a01002c9334359adfb182b449a8baaec35733c846240258702a430f14dcdefe2
DIST sprockets-rails-3.4.0.tar.gz 110208 BLAKE2B 75ff587a0ea7056a85f9229c0325bf9d22fe4d63df93edb8df94c600b19ff58f2cae26e668ac159a673eecb155c886924d6397a10e1559c9e1dea70edc12a4af SHA512 38ebadc351b807382be05e6e070f572a32b96a9b19572fff46eac3cf89574aa27c1ca1ae4419b626e3024cc79684423380e051c69d86dbec73284c50c1d1729c
+DIST sprockets-rails-3.4.1.tar.gz 110791 BLAKE2B a3a2e20f2718d54393f470c7d862a0ee25b0d146a994611823979cc54fe875c0323ced81615fbb06acc85ef6d9e97d966f5603d7ec724cf8449bafc7a80c9c09 SHA512 3c0f1d85e67365cd75504737127f0855093107734ceaa6e614735c11828b40bc7d341609aa3d743f8266bce1a61b68cac713b1742bef523085bba1906a6b685e
diff --git a/dev-ruby/sprockets-rails/sprockets-rails-3.4.1.ebuild b/dev-ruby/sprockets-rails/sprockets-rails-3.4.1.ebuild
new file mode 100644
index 000000000000..1cd6cd8e035f
--- /dev/null
+++ b/dev-ruby/sprockets-rails/sprockets-rails-3.4.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Sprockets implementation for Rails 4.x (and beyond) Asset Pipeline"
+HOMEPAGE="https://github.com/rails/sprockets-rails"
+SRC_URI="https://github.com/rails/sprockets-rails/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-5.2:*
+ >=dev-ruby/activesupport-5.2:*
+ >=dev-ruby/sprockets-3.0.0:*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-5.2:*
+ dev-ruby/test-unit:2
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile || die
+}
diff --git a/dev-ruby/state_machine/state_machine-1.2.0-r1.ebuild b/dev-ruby/state_machine/state_machine-1.2.0-r1.ebuild
new file mode 100644
index 000000000000..8faf811fe71b
--- /dev/null
+++ b/dev-ruby/state_machine/state_machine-1.2.0-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds support for creating state machines for attributes on any Ruby class"
+HOMEPAGE="https://www.pluginaweek.org"
+IUSE="test"
+SLOT="0"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
+
+each_ruby_test() {
+ ruby-ng_testrb-2 -Ilib test/{unit,functional}/*_test.rb
+}
diff --git a/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild b/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild
new file mode 100644
index 000000000000..3188501ca72e
--- /dev/null
+++ b/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="test_declarative.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simply adds a declarative test method syntax to test/unit"
+HOMEPAGE="https://github.com/svenfuchs/test_declarative"
+SRC_URI="https://github.com/svenfuchs/test_declarative/archive/v${PV} -> ${P}.tgz"
+RUBY_S="svenfuchs-test_declarative-*"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler >=dev-ruby/minitest-5.10:5 )"
+
+all_ruby_prepare() {
+ sed -i -e '/rake/ s/~> 12.0.0/>= 10/ ; /minitest/ s/5.10.1/5.10/' Gemfile || die
+
+ sed -i -e 's/git ls-files --/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ # There are other gemfiles but their setup seems broken atm.
+ for gemfile in Gemfile ; do
+ einfo "Running tests with ${gemfile}"
+ BUNDLE_GEMFILE=${gemfile} ${RUBY} -S bundle exec rake test || die
+ done
+}
diff --git a/dev-ruby/thread_safe/thread_safe-0.3.6-r1.ebuild b/dev-ruby/thread_safe/thread_safe-0.3.6-r1.ebuild
index 8bfeb82842f1..39afa8fe1ba0 100644
--- a/dev-ruby/thread_safe/thread_safe-0.3.6-r1.ebuild
+++ b/dev-ruby/thread_safe/thread_safe-0.3.6-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="https://github.com/ruby-concurrency/thread_safe"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="amd64 arm ~arm64 ~hppa ppc ppc64 ~riscv ~sparc x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Higher atomic dependency since earlier versions crash on ruby20 while
diff --git a/dev-ruby/webrick/webrick-1.7.0.ebuild b/dev-ruby/webrick/webrick-1.7.0.ebuild
index 69d286efdc23..0be83ee3a8e1 100644
--- a/dev-ruby/webrick/webrick-1.7.0.ebuild
+++ b/dev-ruby/webrick/webrick-1.7.0.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="https://github.com/ruby/webrick"
SRC_URI="https://github.com/ruby/webrick/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( Ruby-BSD BSD-2 )"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE="test"
diff --git a/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild b/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild
index f6aefa08c5c4..dcb279384fdf 100644
--- a/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild
+++ b/dev-ruby/xmlrpc/xmlrpc-0.3.2-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/ruby/xmlrpc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Ruby"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
ruby_add_rdepend "dev-ruby/webrick"